Le chrome 34 et les versions ultérieures ne peuvent pas détecter le plug-in flash

49

J'ai supprimé les contenus ~/.macromedia et ~/.adobe et après un redémarrage, chrome ne peut plus détecter le plugin flash. Cela fonctionne très bien dans Firefox

Je n'ai que "Chromoting Viewer" sur chrome://plugins/

chromium-browser 34.0.1847.116-0ubuntu2
adobe-flashplugin 11.2.202.350-0trusty1

J'ai profile-sync-daemon actif (j'ai essayé de l'arrêter, bien sûr) et PolicyKit cassé comme dans NetworkManager rompu après la mise à niveau vers Kubuntu Saucy

La détection dépend-elle de PolicyKit? Que puis-je faire d'autre?

    
posée int_ua 17.04.2014 - 17:44
la source

6 réponses

83

Le chrome 34 dans les repos principaux a commencé à utiliser Aura (au début), ce qui n'inclut pas le support de NPAPI (il s'agit d'un retrait planifié de NPAPI dans le chrome). Par conséquent, vous devez utiliser Pepper Flash pour pouvoir utiliser Flash.

Installation de Flash

Ubuntu 14.04 (Trusty) et plus récent

Si vous avez Trusty, vous pouvez simplement exécuter sudo apt-get install pepperflashplugin-nonfree .

Ubuntu 12.04 (précis) et plus récent

Si vous n’avez pas Trusty, vous pouvez utiliser cette PPA pour installer Pepper Flash version Ubuntu supportée ci-dessus précise. Exécutez les commandes suivantes pour ajouter le PPA et installer Pepper Flash:

sudo apt-add-repository ppa:skunk/pepper-flash
sudo apt-get update
sudo apt-get install pepflashplugin-installer

Notez que vous devez configurer Chromium pour utiliser Pepper Flash. Pour ce faire, ouvrez /etc/chromium-browser/default et ajoutez la ligne suivante à la fin du fichier sur une nouvelle ligne:

. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Fermez toutes les fenêtres et rouvrez-le.

Mise à jour de Pepper Flash (sous Trusty)

Vous pouvez exécuter sudo update-pepperflashplugin-nonfree --status pour voir la version de Pepper Flash que vous avez installée. Si une version plus récente est disponible, vous pouvez simplement exécuter sudo update-pepperflashplugin-nonfree --install .

    
réponse donnée saiarcot895 17.04.2014 - 23:25
la source
10

Je ne sais pas avec certitude mais j'ai trouvé ici Le support d'Adobe Flash Player a pris fin en avril 2014 pour Chromium. Je pense qu'il est préférable d'utiliser Firefox ou d'utiliser Google Chrome plutôt que Chrome.

    
réponse donnée ganezdragon 29.04.2014 - 19:20
la source
6

Ubuntu 14.04

 sudo apt-get install pepperflashplugin-nonfree

a travaillé pour moi.

    
réponse donnée int_ua 18.04.2014 - 12:32
la source
6

Chromium a abandonné la prise en charge des plug-ins NPAPI , en faveur de leur PPAPI. L'un d'eux est "Adobe Flash Player" qui à partir d'avril ne fonctionnera dans aucune version de Chrome / ium. Chrome a l'avantage d'inclure le plugin PepperFlash qui est PPAPI, alors peut-être devriez-vous l'utiliser ou utiliser Firefox en attendant.

    
réponse donnée Braiam 30.04.2014 - 01:51
la source
1

Si rien ne fonctionne ...

Téléchargez le fichier Google Chrome .deb à partir de google, il contient un lecteur Adobe Flash.

lien

    
réponse donnée Rishabh Upadhyay 31.10.2014 - 17:24
la source
0

J'ai dans ~ / .profile un paramètre:

export CHROME_USER_FLAGS="--disk-cache-size=50000000 --media-cache-size=25000000"

qui a gâché les paramètres / etc / chrome-browser / default supprimer cette ligne a résolu le problème du lecteur flash

    
réponse donnée agroszer 21.04.2014 - 20:49
la source

Lire d'autres questions sur les étiquettes